org.vertx.java.core.eventbus.impl

## Class BaseMessage<T>

- java.lang.Object
- - org.vertx.java.core.eventbus.Message<T>
  - - org.vertx.java.core.eventbus.impl.BaseMessage<T>

Direct Known Subclasses:
  PingMessage

    public abstract class BaseMessage<T>
    extends Message<T>

### Field Summary

Fields
`protected java.lang.String` `address`
`protected DefaultEventBus` `bus`
`protected ServerID` `sender`

### Fields inherited from class org.vertx.java.core.eventbus.Message

`body, replyAddress`

### Constructor Summary

Constructors
`protected` `BaseMessage(boolean send, java.lang.String address, T body)`
`protected` `BaseMessage(Buffer readBuff)`

### Method Summary

Methods
`protected abstract Message<T>` `copy()`
`protected abstract BaseMessage` `createReplyMessage(T reply)`
`protected abstract int` `getBodyLength()`
`protected abstract void` `readBody(int pos, Buffer readBuff)`
`void` `reply(T message, Handler<Message<T>> replyHandler)` The same as `reply(T message)` but you can specify handler for the reply - i.e.
`protected abstract byte` `type()`
`protected void` `write(NetSocket socket)`
`protected abstract void` `writeBody(Buffer buff)`
`protected void` `writeString(Buffer buff, java.lang.String str)`

### Methods inherited from class org.vertx.java.core.eventbus.Message

`reply, reply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sender

    protected ServerID sender

#### bus

    protected DefaultEventBus bus

#### address

    protected java.lang.String address

### Constructor Detail

#### BaseMessage

    protected BaseMessage(boolean send,
               java.lang.String address,
               T body)

#### BaseMessage

    protected BaseMessage(Buffer readBuff)

### Method Detail

#### reply

    public void reply(T message,
             Handler<Message<T>> replyHandler)

Description copied from class: `Message`
The same as `reply(T message)` but you can specify handler for the reply - i.e. to receive the reply to the reply.

Specified by:
  `reply` in class `Message<T>`

#### write

    protected void write(NetSocket socket)

#### writeString

    protected void writeString(Buffer buff,
                   java.lang.String str)

#### type

    protected abstract byte type()

#### copy

    protected abstract Message<T> copy()

#### readBody

    protected abstract void readBody(int pos,
                Buffer readBuff)

#### writeBody

    protected abstract void writeBody(Buffer buff)

#### getBodyLength

    protected abstract int getBodyLength()

#### createReplyMessage

    protected abstract BaseMessage createReplyMessage(T reply)